#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name:    libkomparediff2
Summary: Library to compare files and strings
Version: 4.14.3
Release: %mkrel %{rel}
Epoch: 1
Group: System/Libraries
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libkomparediff2
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
# Branch Patch (100-200)

%description
A shared library to compare files and strings using kdelibs and GNU diff,
used in Kompare and KDevelop.

#------------------------------------------------------------------------------
%define komparediff2_major 4
%define libkomparediff2 %mklibname komparediff2_ %komparediff2_major

%package -n %{libkomparediff2}
Summary: Library to compare files and strings
Group: System/Libraries

%description -n %{libkomparediff2}
A shared library to compare files and strings using kdelibs and GNU diff,
used in Kompare and KDevelop.

%files -n %{libkomparediff2}
%_kde_libdir/libkomparediff2.so.%{komparediff2_major}*

#------------------------------------------------------------------------------
%define libkomparediff2_devel %mklibname komparediff2 -d

%package -n %{libkomparediff2_devel}
Summary: Library to compare files and strings
Group: Development/KDE and Qt
Requires: %libkomparediff2 = %epoch:%version-%release
Conflicts: kompare-devel < 1:4.12.2
Provides:  %name-devel = %epoch:%version-%release

%description -n %{libkomparediff2_devel}
A shared library to compare files and strings using kdelibs and GNU diff,
used in Kompare and KDevelop.

%files -n %{libkomparediff2_devel}
%_kde_includedir/libkomparediff2
%_kde_libdir/cmake/libkomparediff2
%_kde_libdir/libkomparediff2.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
%makeinstall_std -C build


%changelog
* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800668
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787766
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 750954
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734620
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 681562
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667553
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 663065
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656743
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653928
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 652039
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636802
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625569
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615650
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609462
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606903
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

  + neoclust <neoclust>
    - New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600743
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Sun Feb 16 2014 neoclust <neoclust> 1:4.12.2-2.mga5
+ Revision: 592646
- Fix Requires in lib package

* Sun Feb 16 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 592632
- imported package libkomparediff2

